Cudy
8-Port Gigabit Switch with USB-C Power Input, GS108U 2.0
- Weight
- 87.5 g
- Colour
- White
- Switch type
- Unmanaged
19,40 €
See the offerAd · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

D-Link · Network Switch
Model DGS-1250-28XMPMPN DGS-1250-28XMPMPN DGS-1250-28XMP/EEAN 790069443008EAN 790069467882
Lowest price
709,97 €
at Netzwerkartikel.deIn stock
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
1 store · prices in EUR · updated 6 Oct 2026, 05:40 UTC
Every store asks the same price.
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history is being collected. After 14 days of prices we will show whether today's price is good.
97 specifications from the manufacturer's data sheet
| Switch type | Managed |
|---|---|
| Switch layer | L3 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| ARP inspection | Yes |
| Configuring Location Settings (CLI) | Yes |
| System event log | Yes |
| MIB support | RFC2893, RFC4213, RFC4291, RFC2464, RFC2462, RFC4862, RFC2461, RFC4861, RFC2573, RFC1321, RFC2284, RFC2865, RFC2716, RFC3580, RFC826, RFC2463, RFC4443, RFC792, RFC793, RFC768, RFC791, RFC2389, RFC4113, RFC4022, RFC2618, RFC2674, RFC1398, RFC1643, RFC1650, RFC2358, RFC2665, RFC2021, RFC271, RFC1757, |
| Basic switching RJ-45 Ethernet ports quantity | 24 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| SFP+ module slots quantity | 4 |
| Console port | RJ-45 |
| Networking standards | IEEE 802.3af, IEEE 802.3at |
|---|---|
| 10G support | Yes |
| Copper ethernet cabling technology | 10BASE-T, 100BASE-TX, 1000BASE-T |
| Cable types supported | Cat5, Cat5e |
| Port mirroring | Yes |
| Full duplex | Yes |
| Auto MDI/MDI-X | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Head-of-line (HOL) blocking | Yes |
| Link aggregation | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | Voice VLAN |
| Number of VLANs | 4094 |
| Fiber ethernet cabling technology | 100BASE-FX, 1000BASE-LHX, 1000BASE-X, 1000BASE‑LX, 1000BASE‑SX, 1000BASE‑ZX |
|---|
| MAC address table | 16000 entries |
|---|---|
| Switching capacity | 128 Gbit/s |
| Forwarding rate | 95.24 Mpps |
| Store-and-forward | Yes |
| Static route | Yes |
| Number of static routes | 124 |
| Jumbo frames support | Yes |
| Jumbo frames | 12000 |
| Packet buffer memory | 12 MB |
| DHCP features | DHCP server, DHCP snooping |
|---|---|
| Access Control List (ACL) | Yes |
| Access Control List (ACL) rules | 768 |
| IGMP snooping | Yes |
| IP-MAC-Port binding | Yes |
| Loop protection | Yes |
| Queue scheduling algorithms | Weighted Round Robin (WRR) |
| Security algorithms | EAP, LEAP, MD5, PEAP, SSH, SSL/TLS, TTLS |
| Multicast support | Yes |
|---|
| Rack mounting | Yes |
|---|---|
| Product colour | Black |
| LED indicators | Activity, Link, Power, Speed |
| Electromagnetic compatibility | CE A, VCCI A, FCC A, IC, BSMI |
| Memory type | DDR3-SDRAM |
|---|---|
| Internal memory | 2048 MB |
| Flash memory | 64 MB |
| Firmware upgradeable | Yes |
| Noise level | 50.8 dB |
| Mean time between failures (MTBF) | 463430.16 h |
| Power supply included | Yes |
|---|---|
| AC input voltage | 100 - 240 V |
| AC input frequency | 50 - 60 Hz |
| Power consumption (max) | 455.1 W |
| Power over Ethernet (PoE) | Yes |
|---|---|
| Power over Ethernet (PoE) ports quantity | 24 |
| Power over Ethernet (PoE) power per port | 15.4 W |
| Total Power over Ethernet (PoE) budget | 370 W |
| Operating temperature (T-T) | -5 - 50 °C |
|---|---|
| Storage temperature (T-T) | -20 - 70 °C |
| Operating relative humidity (H-H) | 0 - 95% |
| Storage relative humidity (H-H) | 0 - 95% |
| Heat dissipation | 1551.891 BTU/h |
| Width | 440 mm |
|---|---|
| Depth | 250 mm |
| Height | 44 mm |
| Weight | 3.46 kg |
| Package width | 393 mm |
|---|---|
| Package depth | 563 mm |
| Package height | 89 mm |
| Package weight | 4.76 kg |
| Master (outer) cases per pallet (air) | 16 pc(s) |
|---|---|
| Master (outer) cases per pallet (sea) | 16 pc(s) |
| Pallet gross length | 110 cm |
| Pallet gross weight (air) | 426 kg |
| Pallet gross weight (sea) | 426 kg |
| Pallet gross width | 120 cm |
| Pallet height (air) | 184.7 cm |
| Pallet height (sea) | 184.7 cm |
| Products per pallet (air) | 80 pc(s) |
| Products per pallet (sea) | 80 pc(s) |
| Products per shipping (inner) case | 5 pc(s) |
| Shipping (inner) case gross weight | 25.5 kg |
| Shipping (inner) case height | 42.8 cm |
| Shipping (inner) case length | 58.5 cm |
| Shipping (inner) case net weight | 19.3 kg |
| Shipping (inner) case width | 47.8 cm |
| Certification | CB, UL, BSMI, CCC |
|---|
| Harmonized System (HS) code | 85176990 |
|---|
Cudy
19,40 €
See the offer197,64 €
See the offerLevelOne
Model IGP-1091
674,25 €
See the offerLevelOne
Model GEU-1632
166,15 €
See the offerLevelOne
Model GEU-2432
208,00 €
See the offerNETGEAR
Model GS310TPv2
204,39 €
See the offerNETGEAR
Model GS324TPv2
437,85 €
See the offerNETGEAR
Model GS348TPv2
917,05 €
See the offer